Loading...
Searching...
No Matches
constants.h File Reference
`#include <gnuradio/api.h>`
`#include <string>`
Include dependency graph for constants.h:

Go to the source code of this file.

## Namespaces

namespace | gr
| GNU Radio logging wrapper.

## Functions

GR_RUNTIME_API const std::string | gr::prefix ()
| return GR_CONF_DIR. Typically ${CMAKE_INSTALL_PREFIX}/etc or /etc
GR_RUNTIME_API const std::string | gr::sysconfdir ()
| return GR_CONF_DIR. Typically ${CMAKE_INSTALL_PREFIX}/etc or /etc
GR_RUNTIME_API const std::string | gr::prefsdir ()
| return preferences file directory. Typically ${GR_CONF_DIR}/gnuradio/conf.d
GR_RUNTIME_API const std::string | gr::build_date ()
| return date/time of build, as set when 'cmake' is run
GR_RUNTIME_API const std::string | gr::version ()
| return version string defined by cmake (GrVersion.cmake)
GR_RUNTIME_API const std::string | gr::major_version ()
| return just the major version defined by cmake
GR_RUNTIME_API const std::string | gr::api_version ()
| return just the api version defined by cmake
GR_RUNTIME_API const std::string | gr::minor_version ()
| returnjust the minor version defined by cmake
GR_RUNTIME_API const std::string | gr::c_compiler ()
| return C compiler used to build this version of GNU Radio
GR_RUNTIME_API const std::string | gr::cxx_compiler ()
| return C++ compiler used to build this version of GNU Radio
GR_RUNTIME_API const std::string | gr::compiler_flags ()
| return C and C++ compiler flags used to build this version of GNU Radio
GR_RUNTIME_API const std::string | gr::build_time_enabled_components ()
| return build-time enabled components
GR_RUNTIME_API const std::string | gr::pybind_version ()
| return the pybind11 version used to build this version of GNU Radio